<div class="ibox-form-container mb-0">
  <!-- wizard steps -->
  <div id="top-tab-list" class="top-tab-list-sm p-0">
    <ng-container *ngFor="let step of steps">
      <li [ngClass]="{'active': currentStep?.id === step.id, 'done': currentStep?.id > step.id}">
        <a class="text-center">
          <i [class]="step.icon"
             [ngClass]="(currentStep?.id===1) ? {'c-stepper-active': currentStep?.id===1, 'c-stepper-done': currentStep?.id > 1} : {}"></i>
          <div>{{step.label | translate}}</div>
        </a>
      </li>
    </ng-container>
  </div>
  <!-- end wizard steps -->
  <!-- create contact -->
  <ng-container *ngIf="currentStep.id === 1">
      <app-new-contact (submitTrigger)="submitTrigger($event)" ></app-new-contact>
  </ng-container>
  <!-- end create contact -->

  <!-- affect contact -->
  <div class="ibox-filter mt-2 py-2">
    <!-- affect contact -->
    <ng-container *ngIf="currentStep.id === 2">

      <ng-container *ngIf="loading">
        <div class="mx-auto text-center">
          <em class="fa fa-spinner fa-spin fa-2x"></em>
        </div>
      </ng-container>
      <!-- zone d'affectation si le contact crée est de type PP -->
      <ng-container *ngIf="!loading && typeContact=='PP'">

        <div  class="col data-table-container px-0">
          <table class="table table-sm table-hover mb-0">
            <thead>
            <tr>
              <th>{{'COLUMNS.CONTACT_AFFECT.CODE'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.NOM'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.PRENOM'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.MOBILE'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.EMAIL'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.CODE_POSTALE'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.VILLE'|translate}}</th>
            </tr>
            </thead>
            <tbody>
            <tr>
              <td>{{createdContact?.code}}</td>
              <td>{{createdContact?.nom}}</td>
              <td>{{createdContact?.prenom}}</td>
              <td>{{createdContact?.mobile1}}</td>
              <td>{{createdContact?.email}}</td>
              <td>{{createdContact?.codePostale}}</td>
              <td>{{createdContact?.ville}}</td>
            </tr>
            </tbody>
          </table>

          <hr>
        </div>

        <form class="col-12 ibox-filter" [formGroup]="compteContactForm"
              (ngSubmit)="onSubmit()" (reset)="onReset()" autocomplete="off">

          <div class="row">

            <div class="col-md-4">
              <input type="text" class="form-control form-control-sm" formControlName="descriptionContact"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.DESCRIPTION'|translate">

              <div *ngIf="compteContactForm?.get('descriptionContact').invalid && showFormErrors">
                <div *ngIf="compteContactForm?.get('descriptionContact').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="compteContactForm?.get('descriptionContact').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-4">
              <input type="text" class="form-control form-control-sm" formControlName="role"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.ROLE'|translate">

              <div *ngIf="compteContactForm?.get('role').invalid && showFormErrors">
                <div *ngIf="compteContactForm?.get('role').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="compteContactForm.get('role').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-4">
              <input type="text" class="form-control form-control-sm" formControlName="qualite"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.QUALITE'|translate">

              <div *ngIf="compteContactForm?.get('qualite').invalid && showFormErrors">
                <div *ngIf="compteContactForm?.get('qualite').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="compteContactForm.get('qualite').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

          </div>

          <div class="row mt-2">

            <div class="col-md-6">
              <input type="text" class="form-control form-control-sm" formControlName="dateDebutQualite"
                     [placeholder]="'FIELD.COMPTE_CONTACT.DATE_DEBUT_QUALITE'|translate"
                     [owlDateTime]="dt" [max]="compteContactForm?.get('dateFinQualite')?.value">
              <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt"
                    [title]="'FIELD.PLEASE.CHOOSE'|translate">
              <i class="ri-calendar-line"></i></span>
              <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>
            </div>

            <div class="col-md-6">
              <input type="text" class="form-control form-control-sm" formControlName="dateFinQualite"
                     [placeholder]="'FIELD.COMPTE_CONTACT.DATE_FIN_QUALITE'|translate"
                     [owlDateTime]="dt2" [min]="compteContactForm?.get('dateDebutQualite')?.value">
              <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt2"
                    [title]="'FIELD.PLEASE.CHOOSE'|translate">
              <i class="ri-calendar-line"></i></span>
              <owl-date-time #dt2 [pickerType]="'calendar'"></owl-date-time>
            </div>

          </div>

          <div class="row mt-2">

            <div class="col-md-6">
              <input type="number" class="form-control form-control-sm" formControlName="pourcentageCapital"
                     [placeholder]="'FIELD.COMPTE_CONTACT.POURCENTAGE_CAPITAL'|translate">
            </div>

            <div class="col-md-6">
              <input type="number" class="form-control form-control-sm" formControlName="pourcentageDroitVote"
                     [placeholder]="'FIELD.COMPTE_CONTACT.POURCENTAGE_DROIT'|translate">
            </div>

          </div>

          <div class="row mt-2">
            <div class="text-right col">
              <button type="button" class="btn btn-danger btn-sm mr-2" [title]="'FIELD.BUTTONS.CANCEL'|translate"
                      (click)="closePopup()" [disabled]="loading">{{'FIELD.BUTTONS.CANCEL'|translate}}</button>
              <button type="submit" class="btn btn-primary btn-sm" [title]="'FIELD.BUTTONS.VALID'|translate"
                      [disabled]="loading"><span>{{'FIELD.BUTTONS.VALID'|translate}}</span></button>
            </div>
          </div>

        </form>
      </ng-container>
      <!-- zone d'affectation si le contact crée est de type PM -->
      <ng-container *ngIf="!loading && typeContact=='PM'">

        <div  class="col data-table-container px-0">
          <table class="table table-sm table-hover mb-0">
            <thead>
            <tr>
              <th>{{'COLUMNS.CONTACT_AFFECT.CODE'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.RAISON_SOCIALE'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.FORME_JURIDIQUE'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.MOBILE'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.EMAIL'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.CODE_POSTALE'|translate}}</th>
              <th>{{'COLUMNS.CONTACT_AFFECT.VILLE'|translate}}</th>
            </tr>
            </thead>
            <tbody>
            <tr>
              <td>{{createdContact?.code}}</td>
              <td>{{createdContact?.raisonSociale}}</td>
              <td>{{createdContact?.formeJuridique}}</td>
              <td>{{createdContact?.mobile1}}</td>
              <td>{{createdContact?.email}}</td>
              <td>{{createdContact?.codePostale}}</td>
              <td>{{createdContact?.ville}}</td>
            </tr>
            </tbody>
          </table>

          <hr>
        </div>

        <form class="col-12 ibox-filter" [formGroup]="compteContactForm"
              (ngSubmit)="onSubmit()" (reset)="onReset()" autocomplete="off">

          <div class="row">

            <div class="col-md-4">
              <input type="text" class="form-control form-control-sm" formControlName="descriptionContact"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.DESCRIPTION'|translate">

              <div *ngIf="compteContactForm?.get('descriptionContact').invalid && showFormErrors">
                <div *ngIf="compteContactForm?.get('descriptionContact').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="compteContactForm?.get('descriptionContact').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-4">
              <input type="text" class="form-control form-control-sm" formControlName="role"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.ROLE'|translate">

              <div *ngIf="compteContactForm?.get('role').invalid && showFormErrors">
                <div *ngIf="compteContactForm?.get('role').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="compteContactForm.get('role').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

            <div class="col-md-4">
              <input type="text" class="form-control form-control-sm" formControlName="qualite"
                     pattern="[A-Za-zÀ-ÿ ]+" [placeholder]="'FIELD.COMPTE_CONTACT.QUALITE'|translate">

              <div *ngIf="compteContactForm?.get('qualite').invalid && showFormErrors">
                <div *ngIf="compteContactForm?.get('qualite').errors.required" class="text-danger">
                  <small>{{'FIELD.ERRORS.REQUIRED'|translate}}</small>
                </div>
                <div *ngIf="compteContactForm.get('qualite').errors.pattern" class="text-danger">
                  <small>{{'FIELD.ERRORS.PATTERN_ALPHA'|translate}}</small>
                </div>
              </div>
            </div>

          </div>

          <div class="row mt-2">

            <div class="col-md-6">
              <input type="text" class="form-control form-control-sm" formControlName="dateDebutQualite"
                     [placeholder]="'FIELD.COMPTE_CONTACT.DATE_DEBUT_QUALITE'|translate"
                     [owlDateTime]="dt" [max]="compteContactForm?.get('dateFinQualite')?.value">
              <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt"
                    [title]="'FIELD.PLEASE.CHOOSE'|translate">
              <i class="ri-calendar-line"></i></span>
              <owl-date-time #dt [pickerType]="'calendar'"></owl-date-time>
            </div>

            <div class="col-md-6">
              <input type="text" class="form-control form-control-sm" formControlName="dateFinQualite"
                     [placeholder]="'FIELD.COMPTE_CONTACT.DATE_FIN_QUALITE'|translate"
                     [owlDateTime]="dt2" [min]="compteContactForm?.get('dateDebutQualite')?.value">
              <span class="trigger date-trigger-icon" [owlDateTimeTrigger]="dt2"
                    [title]="'FIELD.PLEASE.CHOOSE'|translate">
              <i class="ri-calendar-line"></i></span>
              <owl-date-time #dt2 [pickerType]="'calendar'"></owl-date-time>
            </div>

          </div>

          <div class="row mt-2">

            <div class="col-md-6">
              <input type="number" class="form-control form-control-sm" formControlName="pourcentageCapital"
                     [placeholder]="'FIELD.COMPTE_CONTACT.POURCENTAGE_CAPITAL'|translate">
            </div>

            <div class="col-md-6">
              <input type="number" class="form-control form-control-sm" formControlName="pourcentageDroitVote"
                     [placeholder]="'FIELD.COMPTE_CONTACT.POURCENTAGE_DROIT'|translate">
            </div>

          </div>

          <div class="row mt-2">
            <div class="text-right col">
              <button type="button" class="btn btn-danger btn-sm mr-2" [title]="'FIELD.BUTTONS.CANCEL'|translate"
                      (click)="closePopup()" [disabled]="loading">{{'FIELD.BUTTONS.CANCEL'|translate}}</button>
              <button type="submit" class="btn btn-primary btn-sm" [title]="'FIELD.BUTTONS.VALID'|translate"
                      [disabled]="loading"><span>{{'FIELD.BUTTONS.VALID'|translate}}</span></button>
            </div>
          </div>

        </form>
      </ng-container>

    </ng-container>
    <!-- end affect contact -->
  </div>
  <!-- end affect contact -->

</div>
